#include <iostream>
#include <vector>
#include <utility>
using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    vector<pair<int,int>>a(n);
    for(int i=0;i<n;i++)
    {
        int p,q;
        cin>>p>>q;
        a[i]=make_pair(p,q);
    }
    for(int i=0;i<m;i++)
    {
        int i1,i2,v;
        int br=0;
        cin>>i1>>i2>>v;
        i1-=1;i2-=1;
        for(int j=i1;j<=i2;j++)
        {
            if (a[j].first<=v && a[j].second>=v)br++;
        }
        cout<<br<<endl;
    }
    return 0;
}